# -*- coding: utf-8 -*-
from thx.role.core.permissions import ThxRolePermission


class AddressScopePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class AddressPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class AddressCoordinatePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False
