# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {
        'model_name': 'addressscope',
        'model_label': _('address scope'),
        'model_label_plural': _('address scopes')
    },
    {
        'model_name': 'address',
        'model_label': _('address'),
        'model_label_plural': _('addresses')
    },
    {
        'model_name': 'addresscoordinate',
        'model_label': _('address coordinate'),
        'model_label_plural': _('address coordinates')
    },
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:address_{model['model_name']}_add",
        "perms": [f"address.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:address_{model['model_name']}_changelist",
        "perms": [
            f"address.view_{model['model_name']}",
            f"address.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('address'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'address'}},
    'perms': ['address.*'],
    'children': children
}]
