# -*- coding: utf-8 -*-

from django.utils.translation import gettext_lazy as _

ADDRESS_GOOGLE_GEOCODING_KEY = "< set in environment setting files >"
ADDRESS_GOOGLE_GEOCODING_ENDPOINT = "https://maps.google.com/maps/api/geocode/json"

#: Choices configuration
ADDRESS_ADDRESS_TYPE_CHOICES = (
    (1, _(u'Corso')),
    (2, _(u'Largo')),
    (3, _(u'Località')),
    (4, _(u'Piazza')),
    (5, _(u'Strada/Stretto')),
    (6, _(u'Traversa')),
    (7, _(u'Via')),
    (8, _(u'Viale')),
    (9, _(u'Vicolo/Vico')),
    (10, _(u'Circonvallazione')),
    (11, _(u'Frazione')),
    (12, _(u'Rione')),
    (13, _(u'Salita')),
    (14, _(u'Contrada')),
    (15, _(u'Statale')),
    (16, _(u'Autostrada')),
    (17, _(u'Cascina')),
    (18, _(u'Parco')),
    (19, _(u'Spalto')),
    (20, _(u'Tangenziale')),
    (21, _(u'Zona industriale')),
    (22, _(u'Borgo')),
    (23, _(u'Galleria')),
    (24, _(u'Piazzale')),
    (25, _(u'Corte')),
    (26, _(u'Centro')),
    (27, _(u'Foro')),
    (28, _(u'Lungo/Lungomare')),
    (29, _(u'Calle')),
    (30, _(u'Riviera')),
    (31, _(u'Villaggio')),
    (32, _(u'Passaggio')),
    (33, _(u'Borgata')),
    (34, _(u'Lungolago')),
)

ADDRESS_ADDRESS_PROVINCE_CHOICES = (
    ("", ""),
    ("ext", _("Foreign Country")),
    ('AG', _(u'Agrigento')),
    ('AL', _(u'Alessandria')),
    ('AN', _(u'Ancona')),
    ('AO', _(u'Aosta')),
    ('AR', _(u'Arezzo')),
    ('AP', _(u'Ascoli Piceno')),
    ('AT', _(u'Asti')),
    ('AV', _(u'Avellino')),
    ('BA', _(u'Bari')),
    ('BT', _(u'Barletta-Andria-Trani')),
    ('BL', _(u'Belluno')),
    ('BN', _(u'Benevento')),
    ('BG', _(u'Bergamo')),
    ('BI', _(u'Biella')),
    ('BO', _(u'Bologna')),
    ('BZ', _(u'Bolzano')),
    ('BS', _(u'Brescia')),
    ('BR', _(u'Brindisi')),
    ('CA', _(u'Cagliari')),
    ('CL', _(u'Caltanissetta')),
    ('CB', _(u'Campobasso')),
    ('CI', _(u'Carbonia-Iglesias')),
    ('CE', _(u'Caserta')),
    ('CT', _(u'Catania')),
    ('CZ', _(u'Catanzaro')),
    ('CH', _(u'Chieti')),
    ('CO', _(u'Como')),
    ('CS', _(u'Cosenza')),
    ('CR', _(u'Cremona')),
    ('KR', _(u'Crotone')),
    ('CN', _(u'Cuneo')),
    ('EN', _(u'Enna')),
    ('FM', _(u'Fermo')),
    ('FE', _(u'Ferrara')),
    ('FI', _(u'Firenze')),
    ('FG', _(u'Foggia')),
    ('FC', _(u'Forlì-Cesena')),
    ('FR', _(u'Frosinone')),
    ('GE', _(u'Genova')),
    ('GO', _(u'Gorizia')),
    ('GR', _(u'Grosseto')),
    ('IM', _(u'Imperia')),
    ('IS', _(u'Isernia')),
    ('SP', _(u'La Spezia')),
    ('AQ', _(u"L'Aquila")),
    ('LT', _(u'Latina')),
    ('LE', _(u'Lecce')),
    ('LC', _(u'Lecco')),
    ('LI', _(u'Livorno')),
    ('LO', _(u'Lodi')),
    ('LU', _(u'Lucca')),
    ('MC', _(u'Macerata')),
    ('MN', _(u'Mantova')),
    ('MS', _(u'Massa-Carrara')),
    ('MT', _(u'Matera')),
    ('ME', _(u'Messina')),
    ('MI', _(u'Milano')),
    ('MO', _(u'Modena')),
    ('MB', _(u'Monza e della Brianza')),
    ('NA', _(u'Napoli')),
    ('NO', _(u'Novara')),
    ('NU', _(u'Nuoro')),
    ('OT', _(u'Olbia-Tempio')),
    ('OR', _(u'Oristano')),
    ('PD', _(u'Padova')),
    ('PA', _(u'Palermo')),
    ('PR', _(u'Parma')),
    ('PV', _(u'Pavia')),
    ('PG', _(u'Perugia')),
    ('PU', _(u'Pesaro e Urbino')),
    ('PE', _(u'Pescara')),
    ('PC', _(u'Piacenza')),
    ('PI', _(u'Pisa')),
    ('PT', _(u'Pistoia')),
    ('PN', _(u'Pordenone')),
    ('PZ', _(u'Potenza')),
    ('PO', _(u'Prato')),
    ('RG', _(u'Ragusa')),
    ('RA', _(u'Ravenna')),
    ('RC', _(u'Reggio Calabria')),
    ('RE', _(u'Reggio Emilia')),
    ('RI', _(u'Rieti')),
    ('RN', _(u'Rimini')),
    ('RM', _(u'Roma')),
    ('RO', _(u'Rovigo')),
    ('SA', _(u'Salerno')),
    ('VS', _(u'Medio Campidano')),
    ('SS', _(u'Sassari')),
    ('SV', _(u'Savona')),
    ('SI', _(u'Siena')),
    ('SR', _(u'Siracusa')),
    ('SO', _(u'Sondrio')),
    ('TA', _(u'Taranto')),
    ('TE', _(u'Teramo')),
    ('TR', _(u'Terni')),
    ('TO', _(u'Torino')),
    ('OG', _(u'Ogliastra')),
    ('TP', _(u'Trapani')),
    ('TN', _(u'Trento')),
    ('TV', _(u'Treviso')),
    ('TS', _(u'Trieste')),
    ('UD', _(u'Udine')),
    ('VA', _(u'Varese')),
    ('VE', _(u'Venezia')),
    ('VB', _(u'Verbano-Cusio-Ossola')),
    ('VC', _(u'Vercelli')),
    ('VR', _(u'Verona')),
    ('VV', _(u'Vibo Valentia')),
    ('VI', _(u'Vicenza')),
    ('VT', _(u'Viterbo')),
)
